#[serial_test::serial]
#[tokio::test]
async fn test_delete_204_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .asset()
        .delete(sideko_rest_api::resources::asset::DeleteRequest {
            id: "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_list_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .asset()
        .list(sideko_rest_api::resources::asset::ListRequest {
            ..Default::default()
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_patch_200_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .asset()
        .patch(sideko_rest_api::resources::asset::PatchRequest {
            id: "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ..Default::default()
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_create_201_success_asset_upload() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .asset()
        .create(sideko_rest_api::resources::asset::CreateRequest {
            file: sideko_rest_api::UploadFile::from_path("uploads/image.png").unwrap(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
